@import url("/assets/css/fontweight.css");
@import url("/assets/css/colors.css");
@import url("/assets/css/shadows.css");

body {
    font-family: "Red Hat Display", system-ui;
    font-weight: 400;
    font-style: normal;
    color: var(--text-color);
    padding-top: 86px;
    height: 100%;
}

.wrapper {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.content {
    flex: 1;
}

a {
    color: var(--primary-color);
}

.section {
    padding: 4rem 0;
}

@media (max-width: 768px) {
    .section {
        padding: 2rem 0;
    }
}

.section .title {
    position: relative;
    margin-left: 1rem;
}

.section .title::before {
    content: "";
    position: absolute;
    left: -1rem;
    width: 6px;
    height: 100%;
    border-radius: 50px;
    background-color: var(--primary-color);
}

.navbar.glass-effect {
    -webkit-backdrop-filter: blur(15px);
    backdrop-filter: blur(15px);
    background-color: rgba(255, 255, 255, 0.7) !important;
    transition: background-color 0.3s ease, backdrop-filter 0.3s ease;
}

.navbar .navbar-brand {
    font-weight: bold;
    color: var(--primary-color);
}

.navbar-toggler {
    border: none;
}

.navbar-toggler span {
    display: block;
    background-color: #4f4f4f;
    height: 3px;
    width: 25px;
    margin-top: 5px;
    margin-bottom: 5px;
    position: relative;
    left: 0;
    opacity: 1;
    transition: all 0.35s ease-out;
    transform-origin: center left;
}

.navbar-toggler span:nth-child(1) {
    transform: translate(0%, 0%) rotate(0deg);
}

.navbar-toggler span:nth-child(2) {
    opacity: 1;
}

.navbar-toggler span:nth-child(3) {
    transform: translate(0%, 0%) rotate(0deg);
}

.navbar-toggler span:nth-child(1) {
    margin-top: 0.3em;
}

.navbar-toggler:not(.collapsed) span:nth-child(1) {
    transform: translate(15%, -33%) rotate(45deg);
}

.navbar-toggler:not(.collapsed) span:nth-child(2) {
    opacity: 0;
}

.navbar-toggler:not(.collapsed) span:nth-child(3) {
    transform: translate(15%, 33%) rotate(-45deg);
}

.navbar-toggler:focus {
    outline: none;
    box-shadow: none;
}

@media (min-width: 991px) {
    .nav-item.dropdown .dropdown-menu {
        display: block;
        opacity: 0;
        visibility: hidden;
        transform: translateY(-20px);
        transition: opacity 0.3s ease, transform 0.3s ease, visibility 0.3s ease;
    }

    .nav-item.dropdown:hover .dropdown-menu {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
    }

    .dropdown-menu {
        margin-top: 0;
    }
}

.dropdown-menu .dropdown-item {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}

.dropdown-menu .dropdown-item:focus,
.dropdown-menu .dropdown-item:hover {
    background-color: #f0f0f0;
    color: #333;
}

.nav-link {
    color: var(--color-dark) !important;
}

.nav-link:focus,
.nav-link:hover {
    color: var(--primary-color);
}

.hero {
    position: relative;
    height: 100vh;
    background: url("/assets/images/hero/hero-bg.jpeg") no-repeat center
        center/cover;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
}

@media (max-width: 767.98px) {
    .hero {
        height: 30vh;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .hero {
        height: 50vh;
    }
}

.hero::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    z-index: 1;
}

.hero-content {
    position: relative;
    text-align: center;
    z-index: 2;
}

.hero h1 {
    font-size: 3rem;
    margin: 0;
}

.hero p {
    font-size: 1.5rem;
}

@media (max-width: 768px) {
    .hero h1 {
        font-size: 2rem;
    }

    .hero p {
        font-size: 1rem;
    }
}

.history {
    position: relative;
    background-image: url("/assets/images/pattern/1.jpg");
    background-size: cover;
    background-position: center;
}

.history::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.5);
    z-index: 1;
}

.history .cover {
    height: 250px;
    object-fit: cover;
}

.history .content {
    line-height: 2rem;
    text-align: justify;
}

.history .container {
    position: relative;
    z-index: 2;
}

.gallery {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.gallery-item {
    flex: 1 1 calc(33.333% - 10px);
    position: relative;
    overflow: hidden;
    padding-top: 56.25%;
}

.gallery-item img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.nav {
    --bs-nav-link-color: var(--primary-color);
    --bs-nav-link-hover-color: var(--primary-color-dark);
}

.journal-item {
    display: flex;
    flex-wrap: wrap;
    align-items: start;
    margin-bottom: 30px;
    padding: 20px;
    border: 1px solid #ddd;
    border-radius: 8px;
    background-color: #f9f9f9;
}

.journal-cover {
    flex: 1;
    max-width: 20%;
    padding-right: 20px;
}

.journal-cover img {
    width: 100%;
    height: auto;
    border-radius: 8px;
}

.journal-details {
    flex: 2;
    max-width: 70%;
}

.journal-title {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 10px;
}

.journal-description {
    font-size: 16px;
    color: #555;
}

.btn-download {
    display: inline-block;
    padding: 10px 20px;
    background-color: var(--primary-color, #007bff);
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    font-size: 16px;
    transition: background-color 0.3s ease;
}

.btn-download:hover {
    background-color: var(--primary-color-dark, #0056b3);
}

@media (max-width: 768px) {
    .journal-item {
        flex-direction: column;
    }

    .journal-cover {
        max-width: 100%;
        padding-right: 0;
        margin-bottom: 20px;
    }

    .journal-details {
        max-width: 100%;
    }

    .journal-title {
        font-size: 20px;
    }

    .journal-description {
        font-size: 14px;
    }
}

.contact-us {
    padding: 50px 0;
}

.contact-us h2 {
    font-size: 28px;
    margin-bottom: 20px;
    font-weight: bold;
}

.contact-us p {
    font-size: 16px;
    margin-bottom: 30px;
}

.contact-info {
    list-style: none;
    padding: 0;
    font-size: 16px;
    line-height: 1.8;
}

.contact-info li {
    margin-bottom: 10px;
}

.map iframe {
    border-radius: 8px;
}

@media (max-width: 768px) {
    .contact-us {
        padding: 30px 0;
    }

    .contact-us h2 {
        font-size: 24px;
    }

    .contact-us p {
        font-size: 14px;
    }

    .contact-info li {
        font-size: 14px;
    }
}

.footer {
    background-color: #333; /* Warna background */
    color: #fff; /* Warna teks */
    padding: 20px 0;
    position: relative;
    bottom: 0;
    width: 100%;
}

.footer p {
    margin: 0;
    font-size: 14px;
}
